import request from '@/utils/request'

// 查询食品列表
export function listFood(query) {
  return request({
    url: '/admin/food/list',
    method: 'get',
    params: query
  })
}

// 查询食品详细
export function getFood(id) {
  return request({
    url: '/admin/food/' + id,
    method: 'get'
  })
}

// 新增食品
export function addFood(data) {
  return request({
    url: '/admin/food',
    method: 'post',
    data: data
  })
}

// 修改食品
export function updateFood(data) {
  return request({
    url: '/admin/food',
    method: 'put',
    data: data
  })
}

// 删除食品
export function delFood(id) {
  return request({
    url: '/admin/food/' + id,
    method: 'delete'
  })
}
